# $Revision: 1.18 $, $Date: 2008/08/24 07:42:46 $
Summary:	GeoTIFF library
Summary(pl.UTF-8):	Biblioteka GeoTIFF
Name:		libgeotiff
Version:	1.2.5
Release:	1
License:	MIT, partially Public Domain (see LICENSE)
Group:		Libraries
Source0:	ftp://ftp.remotesensing.org/geotiff/libgeotiff/%{name}-%{version}.tar.gz
# Source0-md5:	000f247a88510f1b38d4b314d1e47048
Patch0:		%{name}-shared-fix.patch
Patch1:		%{name}-link.patch
URL:		http://www.remotesensing.org/geotiff/geotiff.html
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel >= 3.6.0
BuildRequires:	proj-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation of
GeoTIFF keys in new files.

%description -l pl.UTF-8
Ta biblioteka pozwala na odczytywanie i analizowanie znaczników
"GeoTIFF", a także definiowanie i zapisywanie znaczników w nowych
plikach.

%package devel
Summary:	GeoTIFF header files
Summary(pl.UTF-8):	Pliki nagłówkowe GeoTIFF
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libtiff-devel >= 3.6.0

%description devel
Header files for GeoTIFF library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GeoTIFF.

%package static
Summary:	GeoTIFF static library
Summary(pl.UTF-8):	Statyczna biblioteka GeoTIFF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GeoTIFF static library.

%description static -l pl.UTF-8
Statyczna biblioteka GeoTIFF.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# workaround not to rebuild configure on make
touch configure

%build
cp -f /usr/share/automake/config.* .
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README docs/*.{html,dox,txt}
%attr(755,root,root) %{_bindir}/geotifcp
%attr(755,root,root) %{_bindir}/listgeo
%attr(755,root,root) %{_libdir}/libgeotiff.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libgeotiff.so.1
%{_datadir}/epsg_csv

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgeotiff.so
%{_includedir}/cpl_serv.h
%{_includedir}/geo_*.h
%{_includedir}/geokeys.h
%{_includedir}/geonames.h
%{_includedir}/geotiff.h
%{_includedir}/geotiffio.h
%{_includedir}/geovalues.h
%{_includedir}/xtiffio.h
%{_includedir}/epsg_*.inc
%{_includedir}/geo_ctrans.inc
%{_includedir}/geokeys.inc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgeotiff.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgeotiff.spec,v $
Revision 1.18  2008/08/24 07:42:46  qboosh
- updated to 1.2.5
- added link patch

Revision 1.17  2007/08/26 23:04:21  qboosh
- updated to 1.2.4

Revision 1.16  2007/06/17 18:24:40  qboosh
- soname symlink as ghost

Revision 1.15  2007/06/17 17:56:11  wrobell
- include required symlinks
- rel. 4

Revision 1.14  2007/06/17 17:09:00  wrobell
- rel. 3 due to soname fix

Revision 1.13  2007/06/17 16:57:50  wrobell
- rel. 2

Revision 1.12  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.10  2006/03/04 22:19:06  qboosh
- updated to 1.2.3, updated shared-fix patch

Revision 1.9  2004/05/05 21:41:48  qboosh
- updated to 1.2.2, strict internal deps

Revision 1.8  2004/01/20 23:28:06  qboosh
- refresh config.sub for amd64

Revision 1.7  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/07/19 10:10:52  qboosh
- up to 1.2.1

Revision 1.5  2003/05/28 12:59:29  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:49:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/01/19 01:41:38  qboosh
- 1.2.0, updated shared-fix patch, removed obsolete DESTDIR patch

Revision 1.2  2002/08/18 12:48:07  blues
license fix

Revision 1.1  2002/06/18 16:06:36  qboosh
- new
